"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _classnames = _interopRequireDefault(require("classnames"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const PaginationButton = _ref => {
  let {
    active = false,
    children,
    className,
    disabled = false,
    href,
    onSelect
  } = _ref;
  const classes = {
    'waves-effect': !disabled,
    disabled,
    active
  };
  const linkProps = href ? {
    href
  } : null;
  return /*#__PURE__*/_react.default.createElement("li", {
    className: (0, _classnames.default)(classes, className),
    onClick: onSelect
  }, /*#__PURE__*/_react.default.createElement("a", linkProps, children));
};
PaginationButton.propTypes = {
  active: _propTypes.default.bool,
  children: _propTypes.default.node,
  className: _propTypes.default.string,
  disabled: _propTypes.default.bool,
  href: _propTypes.default.string,
  onSelect: _propTypes.default.func
};
var _default = exports.default = PaginationButton;