"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _classnames = _interopRequireDefault(require("classnames"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Spinner = _ref => {
  let {
    color,
    only,
    className
  } = _ref;
  const spinnerClasses = (0, _classnames.default)('spinner-layer', {
    [`spinner-${color}-only`]: only,
    [`spinner-${color}`]: !only
  });
  return /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _classnames.default)(spinnerClasses, className)
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "circle-clipper left"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "circle"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "gap-patch"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "circle"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "circle-clipper right"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "circle"
  })));
};
Spinner.defaultProps = {
  only: true
};
Spinner.propTypes = {
  className: _propTypes.default.string,
  color: _propTypes.default.string,
  only: _propTypes.default.bool
};
var _default = exports.default = Spinner;